---------------------
PatchSet 7146 
Date: 2005/10/30 09:22:28
Author: serassio
Branch: negotiate-nt-2_5
Tag: (none) 
Log:
Updated Visual Studio project for negotiate_auth helper

Members: 
	port/win32/Makefile.am:1.1.2.8.2.1->1.1.2.8.2.2 
	port/win32/squid.dsw:1.1.2.27.2.1->1.1.2.27.2.2 
	port/win32/update.cmd:1.1.2.26->1.1.2.26.2.1 
	port/win32/negotiate_auth/.cvsignore:1.1->1.1.2.1 
	port/win32/negotiate_auth/negotiate_auth.dsp:1.1->1.1.2.1 

Index: squid/port/win32/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/Makefile.am,v
retrieving revision 1.1.2.8.2.1
retrieving revision 1.1.2.8.2.2
diff -u -r1.1.2.8.2.1 -r1.1.2.8.2.2
--- squid/port/win32/Makefile.am	8 Oct 2005 10:01:45 -0000	1.1.2.8.2.1
+++ squid/port/win32/Makefile.am	30 Oct 2005 09:22:28 -0000	1.1.2.8.2.2
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-# $Id: Makefile.am,v 1.1.2.8.2.1 2005/10/08 10:01:45 serassio Exp $
+# $Id: Makefile.am,v 1.1.2.8.2.2 2005/10/30 09:22:28 serassio Exp $
 #
 
 EXTRA_DIST = \
@@ -49,6 +49,7 @@
 	libsspwin32/libsspwin32.dsp \
 	libufs/libufs.dsp \
 	NCSA_auth/NCSA_auth.dsp \
+	negotiate_auth/negotiate_auth.dsp \
 	nt_auth/nt_auth.dsp \
 	ntlm_win32_auth/ntlm_win32_auth.dsp \
 	pinger/pinger.dsp \
Index: squid/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid.dsw,v
retrieving revision 1.1.2.27.2.1
retrieving revision 1.1.2.27.2.2
diff -u -r1.1.2.27.2.1 -r1.1.2.27.2.2
--- squid/port/win32/squid.dsw	8 Oct 2005 10:01:45 -0000	1.1.2.27.2.1
+++ squid/port/win32/squid.dsw	30 Oct 2005 09:22:28 -0000	1.1.2.27.2.2
@@ -56,6 +56,9 @@
     Begin Project Dependency
     Project_Dep_Name doc
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name negotiate_auth
+    End Project Dependency
 }}}
 
 ###############################################################################
@@ -462,6 +465,24 @@
 
 ###############################################################################
 
+Project: "negotiate_auth"=".\negotiate_auth\negotiate_auth.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name libmiscutil
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name libsspwin32
+    End Project Dependency
+}}}
+
+###############################################################################
+
 Project: "nt_auth"=".\nt_auth\nt_auth.dsp" - Package Owner=<4>
 
 Package=<5>
Index: squid/port/win32/update.cmd
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/update.cmd,v
retrieving revision 1.1.2.26
retrieving revision 1.1.2.26.2.1
diff -u -r1.1.2.26 -r1.1.2.26.2.1
--- squid/port/win32/update.cmd	24 Sep 2005 10:06:17 -0000	1.1.2.26
+++ squid/port/win32/update.cmd	30 Oct 2005 09:22:28 -0000	1.1.2.26.2.1
@@ -21,6 +21,7 @@
 copy %0\..\nt_auth\%1\nt_auth.exe %2\libexec\win32_auth.exe
 copy %0\..\ncsa_auth\%1\ncsa_auth.exe %2\libexec\ncsa_auth.exe
 copy %0\..\ntlm_win32_auth\%1\ntlm_win32_auth.exe %2\libexec\win32_ntlm_auth.exe
+copy %0\..\negotiate_auth\%1\negotiate_auth.exe %2\libexec\win32_negotiate_auth.exe
 copy %0\..\ldap_auth\%1\ldap_auth.exe %2\libexec\squid_ldap_auth.exe
 copy %0\..\ldap_group\%1\ldap_group.exe %2\libexec\squid_ldap_group.exe
 copy %0\..\win32_check_group\%1\win32_check_group.exe %2\libexec\win32_check_group.exe
--- /dev/null	Wed Feb 14 01:13:16 2007
+++ squid/port/win32/negotiate_auth/.cvsignore	Wed Feb 14 01:13:37 2007
@@ -0,0 +1,3 @@
+.cvsignore
+Debug
+Release
--- /dev/null	Wed Feb 14 01:13:16 2007
+++ squid/port/win32/negotiate_auth/negotiate_auth.dsp	Wed Feb 14 01:13:37 2007
@@ -0,0 +1,110 @@
+# Microsoft Developer Studio Project File - Name="negotiate_auth" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=negotiate_auth - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "negotiate_auth.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "negotiate_auth.mak" CFG="negotiate_auth - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "negotiate_auth - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "negotiate_auth - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "negotiate_auth - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D _FILE_OFFSET_BITS=64 /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 Netapi32.lib Advapi32.lib ws2_32.lib psapi.lib /nologo /subsystem:console /machine:I386
+
+!ELSEIF  "$(CFG)" == "negotiate_auth - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D _FILE_OFFSET_BITS=64 /YX /FD /GZ /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 Netapi32.lib Advapi32.lib ws2_32.lib psapi.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "negotiate_auth - Win32 Release"
+# Name "negotiate_auth - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\helpers\negotiate_auth\win32\libnegotiatessp.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\helpers\negotiate_auth\win32\negotiate_auth.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\..\helpers\negotiate_auth\win32\negotiate.h
+# End Source File
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
